Bug 1825560 - Review Request: setzer - LaTeX editor written in Python with Gtk
Summary: Review Request: setzer - LaTeX editor written in Python with Gtk
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-18 22:20 UTC by Lyes Saadi
Modified: 2020-07-06 11:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-06 11:42:49 UTC
Type: ---
Embargoed:
mail: fedora-review+


Attachments (Terms of Use)

Description Lyes Saadi 2020-04-18 22:20:34 UTC
Spec URL: https://lyessaadi.fedorapeople.org/setzer/setzer.spec

SRPM URL: https://lyessaadi.fedorapeople.org/setzer/setzer-0.2.3-3.fc33.src.rpm

Copr Build: https://copr.fedorainfracloud.org/coprs/lyessaadi/setzer/build/1341638/
Koji Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=43518807

Description:
Write LaTeX documents with an easy to use yet full-featured editor.

- Buttons and shortcuts for many LaTeX elements and special characters.
- Document creation wizard.
- Dark mode.
- Helpful error messages in the build log.
- Looks great on the Gnome desktop.
- Good screen to content ratio.
- Arguably the best .pdf viewer of any LaTeX editor.

Fedora Account System Username: lyessaadi

Comment 2 Fabian Affolter 2020-05-19 09:17:46 UTC
The upstream source contains unit tests and seems to support L10n (at least for 0.2.6). IF possible run the tests and add the localization please.

Comment 3 Lyes Saadi 2020-05-20 00:51:45 UTC
Hi!

I can confirm that L10n support was added for 0.2.6! I unfortunately missed the update. Upstream uses tags and not GitHub releases, so I wasn't aware of a new version...

Also, I cannot find any unit test in the project? Are you referring to the "tests" directory? It only contains a meson file that validate the metainfo, but since it is already done in the check section, I think it is better to leave it as is for clarity. If you don't agree, don't hesitate to tell me why, I'll gladly change it!

It also has a new manual entry :D!

Updated version to 0.2.6:

Spec URL: https://lyessaadi.fedorapeople.org/setzer/setzer.spec
Manpage Patch: https://lyessaadi.fedorapeople.org/setzer/setzer-manpage-installation-path.patch

SRPM URL: https://lyessaadi.fedorapeople.org/setzer/setzer-0.2.6-1.fc32.src.rpm

Copr Build: https://copr.fedorainfracloud.org/coprs/lyessaadi/setzer/build/1398516/
Koji Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=44714414

Comment 5 Fabian Affolter 2020-06-24 11:11:15 UTC
- License is GPLv3+, see "either version 3 of the License, or (at your option) any later"

Please fix this before importing.

Package APPROVED



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file sidebar-textcopyright-symbolic.svg is not marked as
  %license
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/LicensingGuidelines/#_license_text
  -> looks like a false-positive

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "*No copyright* GNU General Public
     License", "Unknown or generated". 780 files have unknown license.
     Detailed output of licensecheck in
     /home/fab/Documents/repos/reviews/1825560-setzer/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x] : Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: setzer-0.2.8-1.fc33.noarch.rpm
          setzer-0.2.8-1.fc33.src.rpm
setzer.noarch: W: spelling-error %description -l en_US pdf -> PDF, pd, pf
setzer.src: W: spelling-error %description -l en_US pdf -> PDF, pd, pf
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://github.com/cvfosammmm/Setzer/archive/v0.2.8/Setzer-0.2.8.tar.gz :
  CHECKSUM(SHA256) this package     : b08e764bbaab44d2ed51cf46a045b0d12f44941c9b42be2912fa92a5e85190ec
  CHECKSUM(SHA256) upstream package : b08e764bbaab44d2ed51cf46a045b0d12f44941c9b42be2912fa92a5e85190ec


Requires
--------
setzer (rpmlib, GLIBC filtered):
    /usr/bin/python3
    gspell
    gtk3
    gtksourceview3
    hicolor-icon-theme
    libpoppler-glib.so.8
    python(abi)
    python3-gobject
    python3-pyxdg
    texlive
    texlive-synctex
    texlive-xetex



Provides
--------
setzer:
    application()
    application(org.cvfosammmm.Setzer.desktop)
    metainfo()
    metainfo(org.cvfosammmm.Setzer.appdata.xml)
    mimehandler(text/x-bibtex)
    mimehandler(text/x-tex)
    setzer



Diff spec file in url and in SRPM
---------------------------------
--- /home/fab/Documents/repos/reviews/1825560-setzer/srpm/setzer.spec	2020-06-24 12:09:13.593503914 +0200
+++ /home/fab/Documents/repos/reviews/1825560-setzer/srpm-unpacked/setzer.spec	2020-05-30 01:21:02.000000000 +0200
@@ -22,5 +22,5 @@
 
 BuildRequires:  gtk3-devel
-BuildRequires:  gtksourceview4-devel
+BuildRequires:  gtksourceview3-devel
 BuildRequires:  gspell-devel
 BuildRequires:  poppler-glib-devel
@@ -28,5 +28,5 @@
 BuildRequires:  python3-gobject
 Requires:       gtk3
-Requires:       gtksourceview4
+Requires:       gtksourceview3
 Requires:       gspell
 Requires:       hicolor-icon-theme


Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1825560
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, Python
Disabled plugins: Perl, Ocaml, R, Haskell, C/C++, fonts, PHP, SugarActivity, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 6 Lyes Saadi 2020-06-24 11:42:29 UTC
Thank you for this review :D !

I just have one question. So, I don't understand a lot licensing, so I might be wrong, but looking at the license (https://github.com/cvfosammmm/Setzer/blob/master/COPYING), I can't find the "or later" clause. Is this a false positive from license-check or me just not understanding licensing?

Comment 7 Fabian Affolter 2020-06-26 08:32:43 UTC
(In reply to Lyes Saadi from comment #6)
> Thank you for this review :D !

You are welcom

> I just have one question. So, I don't understand a lot licensing, so I might
> be wrong, but looking at the license
> (https://github.com/cvfosammmm/Setzer/blob/master/COPYING), I can't find the
> "or later" clause. Is this a false positive from license-check or me just
> not understanding licensing?

No, it's not a false-positive, see https://github.com/cvfosammmm/Setzer/blob/master/COPYING#L1-L4. This make it GPLv3+. Often upstream make it clear if it's GPLvX-only.

Comment 8 Lyes Saadi 2020-06-26 10:27:38 UTC
> No, it's not a false-positive, see https://github.com/cvfosammmm/Setzer/blob/master/COPYING#L1-L4. This make it GPLv3+. Often upstream make it clear if it's GPLvX-only.

Ah, yes! Thank you! It's indeed me being bad at licensing :<...

Comment 9 Gwyn Ciesla 2020-06-26 14:18:51 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/setzer


Note You need to log in before you can comment on or make changes to this bug.